


JBEXERCISE(8)                                       JBEXERCISE(8)


NNAAMMEE
       jbexercise - NetWorker jukebox exerciser

SSYYNNOOPPSSIISS
       jjbbeexxeerrcciissee  --mm  mmooddeell --cc ccoonnttrrooll__ppoorrtt [ --VV _v_e_n_d_o_r___t_y_p_e ] [
       --CCddssIIvv ] [ --DD _d_r_i_v_e ] [ --SS _s_l_o_t ]

DDEESSCCRRIIPPTTIIOONN
       The jjbbeexxeerrcciissee command tests the functionality of a  juke-
       box.   Before  the command can be run, all contents of the
       jukebox must be emptied except for  media  loaded  in  the
       first and last slots.  These pieces of media will be moved
       around the jukebox as part of the various tests  performed
       by jjbbeexxeerrcciissee..

       There  are  two  major  tests of functionality: drives and
       slots.  Normally both the drive and slot  tests  are  run.
       Individual  component  types can be tested by using the --dd
       (for drives) and --ss (for  slots)  options.   In  addition,
       specific  components  can  be singled out in the --DD and --SS
       options.  When these are options are given, the only  test
       run  is  on  that particular component, i.e. if a specific
       slot is named the drives test is not run.  For drives, the
       logical  address  of  the  component should be given.  For
       slots, the physical address should be given.

       Upon startup, the program queries the user  for  the  non-
       rewinding  pathnames  of  the drives, if any, found in the
       configuration of the jukebox.  This query is not performed
       if  the  user  is  using  a jukebox which does not require
       media to be ejected from a device,  i.e.  the  device  has
       automatic ejection capabilities.

       The first test moves the media from the first slot to each
       of the drives.  No operator intervention is required.

       The second test loads the media from various slots to  the
       first  drive.   The  default  is  to test the media in the
       first and last slots in the jukebox.  If a  specific  slot
       is  being  tested,  the operator must first load that slot
       with media.


OOPPTTIIOONNSS
       --CC     This makes jbexercise return the  configuration  of
              the jukebox.  No tests are run.

       --cc     Specify the control port which is used to interface
              with the jukebox  (e.g.  1.5.0  from  scsidev@1.5.0
              which could be found by issueing the 'inquire' com-
              mand).

       --dd     Only drives are tested.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





JBEXERCISE(8)                                       JBEXERCISE(8)


       --DD     Only the specified _d_r_i_v_e is tested.

       --II     Return only an inventory of the jukebox.  No  tests
              are run.

       --mm     Specify  a  jukebox model. (For a list of currently
              supported jukebox models run this  command  without
              any arguments to print the usage string.)

       --ss     Only slots are tested.

       --SS     Only the specified _s_l_o_t is tested.

       --vv     Verbose mode.  Print out more information.

       --VV     Specify a particular vendor id.  This allows vendor
              to use the same driver for a number of jukebox mod-
              els.

SSEEEE AALLSSOO
       nnssrrjjbb(8), nnssrr__jjuukkeebbooxx(5).

DDIIAAGGNNOOSSTTIICCSS
       Most diagnostic messages are specific to each type of
       jukebox.  General messages include the following:

       iinnvvaalliidd <<ccoommppoonneenntt>> ssppeecciiffiieedd
              An invalid id for the _<_c_o_m_p_o_n_e_n_t_> was  given.   The
              id  must  be within the valid ranges of the jukebox
              configuration.  _<_c_o_m_p_o_n_e_n_t_> can be a drive, port or
              slot.

       ssttaattuuss iinnccoorrrreecctt,, mmeeddiiaa pprreesseenntt
              There is media loaded in a component but the _c_o_m_p_o_-
              _n_e_n_t _s_t_a_t_u_s operation doesn't indicate this.

       ssttaattuuss iinnccoorrrreecctt,, iinnvvaalliidd sslloott llooccaattiioonn
              The _c_o_m_p_o_n_e_n_t _s_t_a_t_u_s operation is giving the incor-
              rect source slot of the loaded media.

       nnoo ddrriivveess ffoouunndd!!!!!!
              No drives were listed in the configuration.

       nnoo sslloottss ffoouunndd!!!!!!
              No slots were listed in the configuration.












NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


